# Copyright (C) 2011-2012 Aleksey Lim
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This list is based on Good Licenses from
# http://fedoraproject.org/wiki/Licensing:Main


GOOD_LICENSES = frozenset([
    # Software
    'Glide',
    'Abstyles',
    'AFL',
    'AMPAS BSD',
    'Adobe',
    'APAFML',
    'MIT',
    'AGPLv1',
    'AGPLv3',
    'AGPLv3+',
    'AGPLv3 with exceptions',
    'Afmparse',
    'ADSL',
    'AMDPLPA',
    'ASL 1.0',
    'ASL 1.1',
    'ASL 2.0',
    'AML',
    'APSL 2.0',
    'Artistic clarified',
    'Artistic 2.0',
    'ARL',
    'AAL',
    'Bahyph',
    'Barr',
    'BeOpen',
    'Bibtex',
    'BitTorrent',
    'Boost',
    'Borceux',
    'BSD with advertising',
    'BSD with attribution',
    'BSD',
    'BSD Protection',
    'CATOSL',
    'CeCILL',
    'CeCILL-B',
    'CeCILL-C',
    'Netscape',
    'CNRI',
    'CDDL',
    'CPL',
    'Condor',
    'Copyright only',
    'CPAL',
    'GPLv2+',
    'LGPLv2+',
    'CC0',
    'Crossword',
    'Crystal Stacker',
    'diffmark',
    'WTFPL',
    'DOC',
    'Dotseqn',
    'dvipdfm',
    'EPL',
    'eCos',
    'ECL 1.0',
    'ECL 2.0',
    'EFL 2.0',
    'MIT with advertising',
    'Entessa',
    'ERPL',
    'EU Datagrid',
    'EUPL 1.1',
    'Eurosym',
    'Fair',
    'FTL',
    'Giftware',
    'GL2PS',
    'GPL+',
    'GPL+ with exceptions',
    'GPLv1',
    'GPLv2',
    'GPLv2 with exceptions',
    'GPLv2+ with exceptions',
    'GPLv3',
    'GPLv3 with exceptions',
    'GPLv3+',
    'GPLv3+ with exceptions',
    'LGPLv2',
    'LGPLv2 with exceptions',
    'LGPLv2+ with exceptions',
    'LGPLv3',
    'LGPLv3 with exceptions',
    'LGPLv3+',
    'LGPLv3+ with exceptions',
    'gnuplot',
    'HaskellReport',
    'IBM',
    'iMatix',
    'ImageMagick',
    'Imlib2',
    'IJG',
    'Intel ACPI',
    'Interbase',
    'ISC',
    'Jabber',
    'JasPer',
    'JPython',
    'Julius',
    'Knuth',
    'LPPL',
    'Latex2e',
    'LBNL BSD',
    'Leptonica',
    'Lhcyr',
    'libtiff',
    'LLGPL',
    'Logica',
    'LPL',
    'MakeIndex',
    'mecab-ipadic',
    'MS-PL',
    'MS-RL',
    'midnight',
    'MirOS',
    'mod_macro',
    'Motosoto',
    'MPLv1.0',
    'MPLv1.1',
    'MPLv2.0',
    'Naumen',
    'NCSA',
    'NetCDF',
    'NGPL',
    'NOSL',
    'Newmat',
    'Newsletr',
    'Nokia',
    'NLPL',
    'Noweb',
    'OpenLDAP',
    'OML',
    'OpenPBS',
    'OSL 1.0',
    'OSL 1.1',
    'OSL 2.0',
    'OSL 2.1',
    'OSL 3.0',
    'OpenSSL',
    'Par',
    'OReilly',
    'GPL+ or Artistic',
    'GPLv2 or Artistic',
    'GPLv2+ or Artistic',
    'LGPLv2+ or Artistic',
    'Phorum',
    'PHP',
    'PlainTeX',
    'Plexus',
    'PostgreSQL',
    'psfrag',
    'psutils',
    'Public Domain',
    'Python',
    'Qhull',
    'QPL',
    'Rdisc',
    'RPSL',
    'RiceBSD',
    'Romio',
    'Rsfs',
    'Ruby',
    'Saxpath',
    'SCEA',
    'SCRIP',
    'Sendmail',
    'Sleepycat',
    'SLIB',
    'SNIA',
    'SISSL',
    'SPL',
    'TCL',
    'Teeworlds',
    'TPL',
    'Threeparttable',
    'TMate',
    'TORQUEv1.1',
    'TOSL',
    'UCD',
    'Vim',
    'VNLSL',
    'VOSTROM',
    'VSL',
    'W3C',
    'Webmin',
    'Wsuipa',
    'wxWidgets',
    'xinetd',
    'Xerox',
    'xpp',
    'XSkat',
    'YPLv1.1',
    'Zed',
    'Zend',
    'ZPLv1.0',
    'ZPLv2.0',
    'ZPLv2.1',
    'zlib',
    'zlib with acknowledgement',
    # Documentation
    'CDL',
    'CC-BY',
    'CC-BY-SA',
    'FBSDDL',
    'GFDL',
    'IEEE',
    'LDPL',
    'OFSFDL',
    'Open Publication',
    'Public Use',
    # Content
    'CC-BY-ND',
    'DSL',
    'DMTF',
    'OAL',
    'EFML',
    'Free Art',
    'GeoGratis',
    'Green OpenMusic',
    # Fonts
    'OFL',
    'Utopia',
    'AMS',
    'Arphic',
    'Baekmuk',
    'Bitstream Vera',
    'Charter',
    'DoubleStroke',
    'ec',
    'Elvish',
    'Hershey',
    'IPA',
    'Liberation',
    'Lucida',
    'MgOpen',
    'mplus',
    'PTFL',
    'STIX',
    'Wadalab',
    'XANO',
    ])
